Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.model.api.extension
Class SimpleRowItem

    java.lang.Object
      org.eclipse.birt.report.model.api.extension.SimpleRowItem

All Implemented Interfaces:
  IDesignElement, IReportElement, IReportItem

    public class SimpleRowItem

extends java.lang.Object
implements IReportItem

Implements of simple item that has no data rows.The constructor in sub class must call super(ExtendedItemHandle).

Field Summary

Fields inherited from interface org.eclipse.birt.report.model.api.simpleapi.IReportItem
`constants`

Constructor Summary
`SimpleRowItem(ExtendedItemHandle item)` Constructors.

Method Summary
`void` | `addDataBinding(IDataBinding binding)` Add ComputedColumn.name , expression of IDataBinding are required.
`void` | `addHideRule(IHideRule rule)` Add HideRule
`void` | `addHighlightRule(IHighlightRule rule)` Adds high light rule.
`java.lang.String` | `getBookmark()` Returns the bookmark of the report item.
`java.lang.String` | `getComments()` Gets the comments of the report element.
`java.lang.String` | `getCustomXml()` Gets the custom XML.
`java.lang.String` | `getDataBinding(java.lang.String bindingName)` Returns column binding.
`IDataBinding[]` | `getDataBindings()` Returns array of all column bindings
`java.lang.String` | `getDisplayName()` Gets the display name.
`java.lang.String` | `getDisplayNameKey()` Gets the resource key of the display name.
`java.lang.String` | `getHeight()` Gets the item's height.
`IHideRule[]` | `getHideRules()` Returns array of hide rule expression
`IHighlightRule[]` | `getHighlightRules()` Gets all high light rules.
`java.lang.String` | `getName()` Returns the name of this element.
`java.lang.String` | `getNamedExpression(java.lang.String name)` Returns name of user property defined in this element.
`IDesignElement` | `getParent()` Return the parent of this element
`java.lang.String` | `getQualifiedName()` Gets the name of this element.
`IReportDesign` | `getReport()` Gets the report.
`IStyle` | `getStyle()` Gets design element style.
`java.lang.String` | `getTocExpression()` Returns the expression evalueated as a table of contents entry for this item.
`java.lang.Object` | `getUserProperty(java.lang.String name)` Returns user property defined in this element.
`java.lang.Object` | `getUserPropertyExpression(java.lang.String name)` Returns user property as an expression defined in this element.
`java.lang.String` | `getWidth()` Gets a the item's width.
`java.lang.String` | `getX()` Gets the item's x (horizontal) position.
`java.lang.String` | `getY()` Gets the item's y (vertical) position.
`void` | `removeDataBinding(java.lang.String bindingName)` Removes special column binding
`void` | `removeDataBindings()` Removes all column bindings
`void` | `removeHideRule(IHideRule rule)` Removes all hide rules that matches formatType.
`void` | `removeHideRules()` Removes all hide rules
`void` | `removeHighlightRule(IHighlightRule rule)` Removes high light rule.
`void` | `removeHighlightRules()` Removes all high light rules.
`void` | `setBookmark(java.lang.String value)` Sets the bookmark of the report item.
`void` | `setComments(java.lang.String theComments)` Sets the comments of the report element.
`void` | `setCurrentView(IDesignElement viewElement)` Sets the view to be used.
`void` | `setCustomXml(java.lang.String customXml)` Sets the custom XML.
`void` | `setDisplayName(java.lang.String displayName)` Sets the display name.
`void` | `setDisplayNameKey(java.lang.String displayNameKey)` Sets the resource key of the display name.
`void` | `setHeight(double dimension)` Sets the item's height to a value in default units.
`void` | `setHeight(java.lang.String dimension)` Sets the item's height using a dimension string with optional unit suffix such as "10" or "10pt".
`void` | `setName(java.lang.String name)` Sets the name of this element.
`void` | `setNamedExpression(java.lang.String name, java.lang.String exp)` Sets name of user property defined in this element.
`void` | `setTocExpression(java.lang.String expression)` Sets a table of contents entry for this item.
`void` | `setUserProperty(java.lang.String name, java.lang.Object value, java.lang.String type)` Sets user property defined in this element.
`void` | `setUserProperty(java.lang.String name, java.lang.String value)` Sets user property defined in this element.
`void` | `setWidth(double dimension)` Sets the item's width to a value in default units.
`void` | `setWidth(java.lang.String dimension)` Sets the item's width using a dimension string with optional unit suffix such as "10" or "10pt".
`void` | `setX(double dimension)` Sets the item's x position to a value in default units.
`void` | `setX(java.lang.String dimension)` Sets the item's x position using a dimension string with optional unit suffix such as "10" or "10pt".
`void` | `setY(double dimension)` Sets the item's y position to a value in default units.
`void` | `setY(java.lang.String dimension)` Sets the item's y position using a dimension string with optional unit suffix such as "10" or "10pt".

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleRowItem

    public SimpleRowItem(ExtendedItemHandle item)

  Constructors.

  Parameters:
    `item` -

Method Detail

### addDataBinding

    public void addDataBinding(IDataBinding binding)
                        throws SemanticException

  Description copied from interface: `IReportItem`
  Add ComputedColumn.name , expression of IDataBinding are required.

  Specified by:
    `addDataBinding` in interface `IReportItem`
  Throws:
    `SemanticException`

### addHideRule

    public void addHideRule(IHideRule rule)
                     throws SemanticException

  Description copied from interface: `IReportItem`
  Add HideRule

  Specified by:
    `addHideRule` in interface `IReportItem`
  Throws:
    `SemanticException`

### addHighlightRule

    public void addHighlightRule(IHighlightRule rule)
                          throws SemanticException

  Description copied from interface: `IReportItem`
  Adds high light rule.

  Specified by:
    `addHighlightRule` in interface `IReportItem`
  Throws:
    `SemanticException`

### getBookmark

    public java.lang.String getBookmark()

  Description copied from interface: `IReportItem`
  Returns the bookmark of the report item. The bookmark value is evaluated as an expression.

  Specified by:
    `getBookmark` in interface `IReportItem`
  Returns:
    the book mark as a string

### getDataBinding

    public java.lang.String getDataBinding(java.lang.String bindingName)

  Description copied from interface: `IReportItem`
  Returns column binding.

  Specified by:
    `getDataBinding` in interface `IReportItem`
  Returns:
    column binding expression.

### getDataBindings

    public IDataBinding[] getDataBindings()

  Description copied from interface: `IReportItem`
  Returns array of all column bindings

  Specified by:
    `getDataBindings` in interface `IReportItem`
  Returns:
    all column bindings

### getHeight

    public java.lang.String getHeight()

  Description copied from interface: `IReportItem`
  Gets the item's height.

  Specified by:
    `getHeight` in interface `IReportItem`
  Returns:
    the item's height.

### getHideRules

    public IHideRule[] getHideRules()

  Description copied from interface: `IReportItem`
  Returns array of hide rule expression

  Specified by:
    `getHideRules` in interface `IReportItem`
  Returns:
    array of hide rule expression

### getHighlightRules

    public IHighlightRule[] getHighlightRules()

  Description copied from interface: `IReportItem`
  Gets all high light rules.

  Specified by:
    `getHighlightRules` in interface `IReportItem`
  Returns:
    all high light rules

### getTocExpression

    public java.lang.String getTocExpression()

  Description copied from interface: `IReportItem`
  Returns the expression evalueated as a table of contents entry for this item.

  Specified by:
    `getTocExpression` in interface `IReportItem`
  Returns:
    the expression evaluated as a table of contents entry for this item
  See Also:
    `IReportItem.setTocExpression(String)`

### getWidth

    public java.lang.String getWidth()

  Description copied from interface: `IReportItem`
  Gets a the item's width.

  Specified by:
    `getWidth` in interface `IReportItem`
  Returns:
    a the item's width.

### getX

    public java.lang.String getX()

  Description copied from interface: `IReportItem`
  Gets the item's x (horizontal) position.

  Specified by:
    `getX` in interface `IReportItem`
  Returns:
    The item's x position.

### getY

    public java.lang.String getY()

  Description copied from interface: `IReportItem`
  Gets the item's y (vertical) position.

  Specified by:
    `getY` in interface `IReportItem`
  Returns:
    The item's y position.

### removeDataBinding

    public void removeDataBinding(java.lang.String bindingName)
                           throws SemanticException

  Description copied from interface: `IReportItem`
  Removes special column binding

  Specified by:
    `removeDataBinding` in interface `IReportItem`
  Throws:
    `SemanticException`

### removeDataBindings

    public void removeDataBindings()
                            throws SemanticException

  Description copied from interface: `IReportItem`
  Removes all column bindings

  Specified by:
    `removeDataBindings` in interface `IReportItem`
  Throws:
    `SemanticException`

### removeHideRule

    public void removeHideRule(IHideRule rule)
                        throws SemanticException

  Description copied from interface: `IReportItem`
  Removes all hide rules that matches formatType.

  Specified by:
    `removeHideRule` in interface `IReportItem`
  Throws:
    `SemanticException`

### removeHideRules

    public void removeHideRules()
                         throws SemanticException

  Description copied from interface: `IReportItem`
  Removes all hide rules

  Specified by:
    `removeHideRules` in interface `IReportItem`
  Throws:
    `SemanticException`

### removeHighlightRule

    public void removeHighlightRule(IHighlightRule rule)
                             throws SemanticException

  Description copied from interface: `IReportItem`
  Removes high light rule.

  Specified by:
    `removeHighlightRule` in interface `IReportItem`
  Throws:
    `SemanticException`

### removeHighlightRules

    public void removeHighlightRules()
                              throws SemanticException

  Description copied from interface: `IReportItem`
  Removes all high light rules.

  Specified by:
    `removeHighlightRules` in interface `IReportItem`
  Throws:
    `SemanticException`

### setBookmark

    public void setBookmark(java.lang.String value)
                     throws SemanticException

  Description copied from interface: `IReportItem`
  Sets the bookmark of the report item. The bookmark value is evaluated as an expression. If you want the bookmark to be the string "bookmark", you need to use setBookmark("\"bookmark\""); If bookmark is a JavaScript variable, use setBookmark("bookmark");

  Specified by:
    `setBookmark` in interface `IReportItem`
  Parameters:
    `value` - the bookmark expression
  Throws:
    `SemanticException` - if the property is locked.

### setHeight

    public void setHeight(double dimension)
                   throws SemanticException

  Description copied from interface: `IReportItem`
  Sets the item's height to a value in default units. The default unit may be defined by the property in BIRT or the application unit defined in the design session.

  Specified by:
    `setHeight` in interface `IReportItem`
  Parameters:
    `dimension` - the new value in application units.
  Throws:
    `SemanticException` - if the property is locked.

### setHeight

    public void setHeight(java.lang.String dimension)
                   throws SemanticException

  Description copied from interface: `IReportItem`
  Sets the item's height using a dimension string with optional unit suffix such as "10" or "10pt". If no suffix is provided, then the units are assumed to be in the design's default units. Call this method to set a string typed in by the user.

  Specified by:
    `setHeight` in interface `IReportItem`
  Parameters:
    `dimension` - dimension string with optional unit suffix.
  Throws:
    `SemanticException` - if the string is not valid

### setTocExpression

    public void setTocExpression(java.lang.String expression)
                          throws SemanticException

  Description copied from interface: `IReportItem`
  Sets a table of contents entry for this item. The TOC property defines an expression that returns a string that is to appear in the Table of Contents for this item or its container.

  Specified by:
    `setTocExpression` in interface `IReportItem`
  Parameters:
    `expression` - the expression that returns a string
  Throws:
    `SemanticException` - if the TOC property is locked by the property mask.
  See Also:
    `IReportItem.getTocExpression()`

### setWidth

    public void setWidth(double dimension)
                  throws SemanticException

  Description copied from interface: `IReportItem`
  Sets the item's width to a value in default units. The default unit may be defined by the property in BIRT or the application unit defined in the design session.

  Specified by:
    `setWidth` in interface `IReportItem`
  Parameters:
    `dimension` - the new value in application units.
  Throws:
    `SemanticException` - if the property is locked.

### setWidth

    public void setWidth(java.lang.String dimension)
                  throws SemanticException

  Description copied from interface: `IReportItem`
  Sets the item's width using a dimension string with optional unit suffix such as "10" or "10pt". If no suffix is provided, then the units are assumed to be in the design's default units. Call this method to set a string typed in by the user.

  Specified by:
    `setWidth` in interface `IReportItem`
  Parameters:
    `dimension` - dimension string with optional unit suffix.
  Throws:
    `SemanticException` - if the string is not valid

### setX

    public void setX(double dimension)
              throws SemanticException

  Description copied from interface: `IReportItem`
  Sets the item's x position to a value in default units. The default unit may be defined by the property in BIRT or the application unit defined in the design session.

  Specified by:
    `setX` in interface `IReportItem`
  Parameters:
    `dimension` - the new value in application units.
  Throws:
    `SemanticException` - if the property is locked.

### setX

    public void setX(java.lang.String dimension)
              throws SemanticException

  Description copied from interface: `IReportItem`
  Sets the item's x position using a dimension string with optional unit suffix such as "10" or "10pt". If no suffix is provided, then the units are assumed to be in the design's default units. Call this method to set a string typed in by the user.

  Specified by:
    `setX` in interface `IReportItem`
  Parameters:
    `dimension` - dimension string with optional unit suffix.
  Throws:
    `SemanticException` - if the string is not valid

### setY

    public void setY(double dimension)
              throws SemanticException

  Description copied from interface: `IReportItem`
  Sets the item's y position to a value in default units. The default unit may be defined by the property in BIRT or the application unit defined in the design session.

  Specified by:
    `setY` in interface `IReportItem`
  Parameters:
    `dimension` - the new value in application units.
  Throws:
    `SemanticException` - if the property is locked.

### setY

    public void setY(java.lang.String dimension)
              throws SemanticException

  Description copied from interface: `IReportItem`
  Sets the item's y position using a dimension string with optional unit suffix such as "10" or "10pt". If no suffix is provided, then the units are assumed to be in the design's default units. Call this method to set a string typed in by the user.

  Specified by:
    `setY` in interface `IReportItem`
  Parameters:
    `dimension` - dimension string with optional unit suffix.
  Throws:
    `SemanticException` - if the string is not valid

### getComments

    public java.lang.String getComments()

  Description copied from interface: `IReportElement`
  Gets the comments of the report element.

  Specified by:
    `getComments` in interface `IReportElement`
  Returns:
    the comments of the report element

### getCustomXml

    public java.lang.String getCustomXml()

  Description copied from interface: `IReportElement`
  Gets the custom XML.

  Specified by:
    `getCustomXml` in interface `IReportElement`
  Returns:
    the custom XML

### getDisplayName

    public java.lang.String getDisplayName()

  Description copied from interface: `IReportElement`
  Gets the display name.

  Specified by:
    `getDisplayName` in interface `IReportElement`
  Returns:
    the display name

### getDisplayNameKey

    public java.lang.String getDisplayNameKey()

  Description copied from interface: `IReportElement`
  Gets the resource key of the display name.

  Specified by:
    `getDisplayNameKey` in interface `IReportElement`
  Returns:
    the resource key of the display name

### getName

    public java.lang.String getName()

  Description copied from interface: `IReportElement`
  Returns the name of this element. Returns `null` if the element does not have a name. Many elements do not require a name. The name does not inherit. If this element does not have a name, it will not inherit the name of its parent element.

  Specified by:
    `getName` in interface `IReportElement`
  Returns:
    the element name, or null if the name is not set

### setComments

    public void setComments(java.lang.String theComments)
                     throws SemanticException

  Description copied from interface: `IReportElement`
  Sets the comments of the report element.

  Specified by:
    `setComments` in interface `IReportElement`
  Parameters:
    `theComments` - the comments to set
  Throws:
    `SemanticException` - if the comments property is locked or not defined on this element.

### setCustomXml

    public void setCustomXml(java.lang.String customXml)
                      throws SemanticException

  Description copied from interface: `IReportElement`
  Sets the custom XML.

  Specified by:
    `setCustomXml` in interface `IReportElement`
  Parameters:
    `customXml` - the custom XML to set
  Throws:
    `SemanticException` - if the custom XML is locked or not defined on this element.

### setDisplayName

    public void setDisplayName(java.lang.String displayName)
                        throws SemanticException

  Description copied from interface: `IReportElement`
  Sets the display name.

  Specified by:
    `setDisplayName` in interface `IReportElement`
  Parameters:
    `displayName` - the display name
  Throws:
    `SemanticException` - if the display name property is locked or not defined on this element.

### setDisplayNameKey

    public void setDisplayNameKey(java.lang.String displayNameKey)
                           throws SemanticException

  Description copied from interface: `IReportElement`
  Sets the resource key of the display name.

  Specified by:
    `setDisplayNameKey` in interface `IReportElement`
  Parameters:
    `displayNameKey` - the resource key of the display name
  Throws:
    `SemanticException` - if the display name resource-key property is locked or not defined on this element.

### setName

    public void setName(java.lang.String name)
                 throws SemanticException

  Description copied from interface: `IReportElement`
  Sets the name of this element. If the name is `null`, then the name is cleared if this element does not require a name.

  Specified by:
    `setName` in interface `IReportElement`
  Parameters:
    `name` - the new name
  Throws:
    `SemanticException` - if the name is duplicate, or if the name is `null` and this element requires a name.

### getNamedExpression

    public java.lang.String getNamedExpression(java.lang.String name)

  Description copied from interface: `IDesignElement`
  Returns name of user property defined in this element.

  Specified by:
    `getNamedExpression` in interface `IDesignElement`
  Returns:
    name of user property

### getParent

    public IDesignElement getParent()

  Description copied from interface: `IDesignElement`
  Return the parent of this element

  Specified by:
    `getParent` in interface `IDesignElement`
  Returns:
    the parent

### getQualifiedName

    public java.lang.String getQualifiedName()

  Description copied from interface: `IDesignElement`
  Gets the name of this element. The returned element name will be the same as `getName()`, plus the namespace of the module that the elment is contained, if any. If the element is existed in the current module,this method and `getName()` will return identical results.

  Specified by:
    `getQualifiedName` in interface `IDesignElement`
  Returns:
    the qualified name of thie element.

### getStyle

    public IStyle getStyle()

  Description copied from interface: `IDesignElement`
  Gets design element style.

  Specified by:
    `getStyle` in interface `IDesignElement`
  Returns:
    style

### getUserProperty

    public java.lang.Object getUserProperty(java.lang.String name)

  Description copied from interface: `IDesignElement`
  Returns user property defined in this element.

  Specified by:
    `getUserProperty` in interface `IDesignElement`
  Returns:
    user property

### setNamedExpression

    public void setNamedExpression(java.lang.String name,
                                   java.lang.String exp)
                            throws SemanticException

  Description copied from interface: `IDesignElement`
  Sets name of user property defined in this element.

  Specified by:
    `setNamedExpression` in interface `IDesignElement`
  Parameters:
    `name` - name of user property
    `exp` - name expression
  Throws:
    `SemanticException`

### setUserProperty

    public void setUserProperty(java.lang.String name,
                                java.lang.Object value,
                                java.lang.String type)
                         throws SemanticException

  Description copied from interface: `IDesignElement`
  Sets user property defined in this element.

  Specified by:
    `setUserProperty` in interface `IDesignElement`
  Throws:
    `SemanticException`

### setUserProperty

    public void setUserProperty(java.lang.String name,
                                java.lang.String value)
                         throws SemanticException

  Description copied from interface: `IDesignElement`
  Sets user property defined in this element.

  Specified by:
    `setUserProperty` in interface `IDesignElement`
  Throws:
    `SemanticException`

### setCurrentView

    public void setCurrentView(IDesignElement viewElement)
                        throws SemanticException

  Description copied from interface: `IReportItem`
  Sets the view to be used. If the given element is not in the multiple view, it will be added and set as the active view.

  Specified by:
    `setCurrentView` in interface `IReportItem`
  Parameters:
    `viewElement` - the view element, must not be `this`. Can be `null`.
  Throws:
    `SemanticException` - if the given element resides in the other elements.

### getReport

    public IReportDesign getReport()

  Description copied from interface: `IDesignElement`
  Gets the report.

  Specified by:
    `getReport` in interface `IDesignElement`
  Returns:
    the report

### getUserPropertyExpression

    public java.lang.Object getUserPropertyExpression(java.lang.String name)

  Description copied from interface: `IDesignElement`
  Returns user property as an expression defined in this element.

  Specified by:
    `getUserPropertyExpression` in interface `IDesignElement`
  Parameters:
    `name` - the user property name
  Returns:
    user property as an expression

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.